> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get documentv1beta1 vieweractions

> Lists the viewer actions applicable to a document.



## OpenAPI

````yaml /openapis/documentId.json get /document/v1beta1/{documentId}/viewerActions
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: documentId
    description: >-
      Lets you read and update document properties, create new documents, delete
      documents, manage document versions, ...  (beta version, subject to
      change)
paths:
  /document/v1beta1/{documentId}/viewerActions:
    get:
      tags:
        - documentId
      description: Lists the viewer actions applicable to a document.
      operationId: documentId:v1beta1.ViewerActions.list
      parameters:
        - $ref: '#/components/parameters/documentId_path_parameter'
        - $ref: '#/components/parameters/versionId_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      responses:
        '200':
          description: A ApiViewerActionCollection response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiViewerActionCollection'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    documentId_path_parameter:
      name: documentId
      in: path
      description: The ID of the document
      required: true
      schema:
        type: string
    versionId_query_parameter:
      name: versionId
      in: query
      description: >-
        The ID of the version. Leave empty to use the default version
        (equivalent to value 'HEAD'), i.e. the draft if it exists and if the
        user has access to it (equivalent to value 'DRAFT'), else the main
        version (equivalent to value 'COMMITTED'). Custom ID of past versions
        are not supported.
      required: false
      schema:
        type: string
        default: HEAD
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiViewerActionCollection:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/ApiViewerAction'
      description: An ordered list of ApiViewerAction
    ApiViewerAction:
      type: object
      properties:
        async:
          type: boolean
          description: >-
            Whether the script is configured to be executed asynchronously or
            not
        displayName:
          type: string
          description: >-
            Name provided by the _getDisplayName method of the custom script or
            the binding name if null
        id:
          type: string
          description: The binding ID in documentType API
        kind:
          type: string
        name:
          type: string
          description: The binding name in documentType API
        scriptId:
          type: string
          description: The ID of the custom script
        scriptName:
          type: string
          description: The name of the custom script
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````